## org.apache.http.impl
Class DefaultHttpRequestFactory

    java.lang.Object
      org.apache.http.impl.DefaultHttpRequestFactory

All Implemented Interfaces:
  HttpRequestFactory

    @Immutable
    public class DefaultHttpRequestFactory

extends Object
implements HttpRequestFactory

Default factory for creating `HttpRequest` objects.

Since:
  4.0

Constructor Summary
`DefaultHttpRequestFactory()`

Method Summary
`HttpRequest` `newHttpRequest(RequestLine requestline)`
`HttpRequest` `newHttpRequest(String method, String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpRequestFactory

    public DefaultHttpRequestFactory()

Method Detail

### newHttpRequest

    public HttpRequest newHttpRequest(RequestLine requestline)
                               throws MethodNotSupportedException

  Specified by:
    `newHttpRequest` in interface `HttpRequestFactory`
  Throws:
    `MethodNotSupportedException`

### newHttpRequest

    public HttpRequest newHttpRequest(String method,
                                      String uri)
                               throws MethodNotSupportedException

  Specified by:
    `newHttpRequest` in interface `HttpRequestFactory`
  Throws:
    `MethodNotSupportedException`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.